package com.keao.edu.user.entity;

import com.keao.edu.auth.api.entity.SysUser;
import com.keao.edu.user.enums.TeacherSettlementTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(teacher):
 */
public class Teacher {

	/**  */
	private Integer userId;
	
	@ApiModelProperty(value = "职称",required = false)
	private String title;
	
	@ApiModelProperty(value = "专业",required = false)
	private String subjectIdList;
	
	@ApiModelProperty(value = "薪酬结算方式（单次结算，人数结算）",required = false)
	private TeacherSettlementTypeEnum salarySettlementType;
	
	@ApiModelProperty(value = "薪酬",required = false)
	private java.math.BigDecimal salary;

	@ApiModelProperty(value = "是否删除",required = false)
	private Integer delFlag;

	@ApiModelProperty(value = "总监考次数")
	private Integer totalInvigilationNum;

	@ApiModelProperty(value = "监考学员数")
	private Integer totalInvigilationStudentNum;

	@ApiModelProperty(value = "结算费用")
	private BigDecimal totalSettlementCost;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	@ApiModelProperty(value = "用户编号",required = false)
	private SysUser sysUser;

	private String tenantId;

	private String subjectName;

	private Integer organId;

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}

	public SysUser getSysUser() {
		return sysUser;
	}

	public void setSysUser(SysUser sysUser) {
		this.sysUser = sysUser;
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setTitle(String title){
		this.title = title;
	}
	
	public String getTitle(){
		return this.title;
	}
			
	public void setSubjectIdList(String subjectIdList){
		this.subjectIdList = subjectIdList;
	}
	
	public String getSubjectIdList(){
		return this.subjectIdList;
	}
			
	public void setSalarySettlementType(TeacherSettlementTypeEnum salarySettlementType){
		this.salarySettlementType = salarySettlementType;
	}
	
	public TeacherSettlementTypeEnum getSalarySettlementType(){
		return this.salarySettlementType;
	}
			
	public void setSalary(java.math.BigDecimal salary){
		this.salary = salary;
	}
	
	public java.math.BigDecimal getSalary(){
		return this.salary;
	}

	public Integer getTotalInvigilationNum() {
		return totalInvigilationNum;
	}

	public void setTotalInvigilationNum(Integer totalInvigilationNum) {
		this.totalInvigilationNum = totalInvigilationNum;
	}

	public Integer getTotalInvigilationStudentNum() {
		return totalInvigilationStudentNum;
	}

	public void setTotalInvigilationStudentNum(Integer totalInvigilationStudentNum) {
		this.totalInvigilationStudentNum = totalInvigilationStudentNum;
	}

	public BigDecimal getTotalSettlementCost() {
		return totalSettlementCost;
	}

	public void setTotalSettlementCost(BigDecimal totalSettlementCost) {
		this.totalSettlementCost = totalSettlementCost;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
